Holger's Java API

## com.antelmann.util
Interface Converter<T1,T2>

All Known Implementing Classes:
  BaseDocumentMapper, BaseRowMapper, BeanMapper, Converter.Adapter, DBDocumentStore.Mapper, EmailConverter, GenericPropertyEntryMapper, GIDFactory, ImageURLEntryMapper, LoggerHandler, MappedEntryMapper, MessageEntryMapper, MoneyConverter, MySqlQueryToViewMapper, PropertyEntryWithAddress, PropertyMapper, RelationshipStore.Mapper, SerializedEntrySQLMapper, SessionIdGenerator, ThumbnailMapper, UserImplMapper

    public interface Converter<T1,T2>

used to transform an object into another representation, which is optionally reversible

Since:
  31. Januar 2007, 00:11
Author:
  Holger Antelmann

Nested Class Summary
`static class` `Converter.Adapter<T1,T2>`

Method Summary
`T2` `convert(T1 obj)`
`T1` `convertBack(T2 obj)`

Method Detail

### convert

    T2 convert(T1 obj)
               throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### convertBack

    T1 convertBack(T2 obj)
                   throws IllegalArgumentException,
                          UnsupportedOperationException

  Throws:
    `IllegalArgumentException`
    `UnsupportedOperationException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads